/**
 Събиране на цели числа и обикновени дроби
*/

#include <iostream>
#include <algorithm>
using namespace std;

struct fraction
{ long long a,b;
  void reduce()
  { long long d = __gcd(a,b);
    a = a/d;
    b = b/d;
  }
};

fraction operator+(fraction x, fraction y)
{ fraction sum;
  sum.a = x.a*y.b + x.b*y.a;
  sum.b = x.b*y.b;
  sum.reduce();
  return sum;
}

fraction str2frac(string s)
{ fraction x;
  int n = s.size();
  int k=0;
  while(s[k]==' ') k++; // пропускане на начални интервали
  x.a = 0; // числителя на дробта
  while(k<n && isdigit(s[k])) // докато е цифра
  { x.a = x.a*10 + (s[k]-'0');
    k++;
  }
  k = s.find('/'); // проверка за дробна черта
  if(0<=k && k<n)  // има дробна черта
  { k++;
    while(k<n && s[k]==' ') k++;
    x.b = 0; // знаменателя на дробта
    while(k<n && isdigit(s[k]))
    { x.b = x.b*10 + (s[k]-'0');
      k++;
    }
  }
  else // няма дробна черта
    x.b = 1; // цяло число - знаменател 1
  x.reduce();
  return x;
}

int main()
{ fraction result;

  string s;
  getline(cin,s); // въвеждаме първия израз
  while(cin.good())
  { result.a = 0; // нулиране на резултата
    result.b = 1;

    int n = s.size();
    int k = 0; // до коя позиция в низа сме стигнали
    for(int p=0; p<n; p++)
      if(s[p]=='+') // p - позицията на поредния +
      { // прибавяме поредното събираемо
        result = result + str2frac(s.substr(k,p-k));
        k = p+1;
      }
    // прибавяме последното събираемо
    result = result + str2frac(s.substr(k));

    cout << result.a;
    if(result.b>1) // има знаменател
      cout << "/" << result.b;
    cout << endl;
    getline(cin,s); // въвеждаме следващия израз
  }

  return 0;
}
